# -*- coding: utf-8 -*-
import unittest
from skoolkittest import SkoolKitTestCase

USAGE = """Usage: skool2ctl.py [options] FILE

  Convert a skool file into a control file, written to standard output. FILE
  may be a regular file, or '-' for standard input.

Options:
  -wX  Write only these elements, where X is one or more of:
         b = block types and addresses
         t = block titles
         d = block descriptions
         r = registers
         m = mid-block comments and block end comments
         s = sub-block types and addresses
         c = instruction-level comments
  -h   Write addresses in hexadecimal format
  -a   Do not write ASM directives"""

class Skool2CtlTest(SkoolKitTestCase):
    def test_no_arguments(self):
        cmdline, output, error = self.run_skool2ctl(err_lines=True)
        self.assert_output_equal(error, USAGE.split('\n'), False)

if __name__ == '__main__':
    unittest.main()
